diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index 8ab09c6a8..daa51ef05 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -454,9 +454,9 @@ define('misc.bgprocess', [
             }, 1000
           );
 
-          var resize_log_container = function($logs, $header, $footer) {
-            var h = $header.outerHeight() + $footer.outerHeight();
-            $logs.css('padding-bottom', h);
+          var resize_log_container = function(logs, header, footer) {
+            var h = header.outerHeight() + footer.outerHeight();
+            logs.css('padding-bottom', h);
           }.bind(panel, $logs, $header, $footer);
 
           panel.on(wcDocker.EVENT.RESIZED, resize_log_container);
diff --git a/web/pgadmin/misc/dependencies/static/js/dependencies.js b/web/pgadmin/misc/dependencies/static/js/dependencies.js
index 7c3fde57f..4e931a795 100644
--- a/web/pgadmin/misc/dependencies/static/js/dependencies.js
+++ b/web/pgadmin/misc/dependencies/static/js/dependencies.js
@@ -218,8 +218,8 @@ define('misc.dependencies', [
                 Alertify.pgNotifier(
                   error, xhr,
                   gettext('Error retrieving data from the server: %s', message || _label),
-                  function(msg) {
-                    if(msg === 'CRYPTKEY_SET') {
+                  function(alertMsg) {
+                    if(alertMsg === 'CRYPTKEY_SET') {
                       self.showDependencies(item, data, node);
                     } else {
                       console.warn(arguments);
diff --git a/web/pgadmin/misc/dependents/static/js/dependents.js b/web/pgadmin/misc/dependents/static/js/dependents.js
index 7c5f3b575..470aa6930 100644
--- a/web/pgadmin/misc/dependents/static/js/dependents.js
+++ b/web/pgadmin/misc/dependents/static/js/dependents.js
@@ -224,8 +224,8 @@ define('misc.dependents', [
                 Alertify.pgNotifier(
                   error, xhr,
                   gettext('Error retrieving data from the server: %s', message || _label),
-                  function(msg) {
-                    if(msg === 'CRYPTKEY_SET') {
+                  function(alertMsg) {
+                    if(alertMsg === 'CRYPTKEY_SET') {
                       self.showDependents(item, data, node);
                     } else {
                       console.warn(arguments);
diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index 0c5c5aeba..14221ef40 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -828,9 +828,9 @@ define([
             $this.find('span').toggle();
 
             // Rename folder/file on pressing enter key
-            $('.file_manager').off().on('keyup', function(e) {
-              if (e.keyCode == 13) {
-                e.stopPropagation();
+            $('.file_manager').off().on('keyup', function(event) {
+              if (event.keyCode == 13) {
+                event.stopPropagation();
                 $('.fileinfo #contents li.selected div').find(
                   'input'
                 ).trigger('blur');
@@ -852,9 +852,9 @@ define([
             $this.find('.fm_file_name').toggle();
 
             // Rename folder/file on pressing enter key
-            $('.file_manager').off().on('keyup', function(e) {
-              if (e.keyCode == 13) {
-                e.stopPropagation();
+            $('.file_manager').off().on('keyup', function(event) {
+              if (event.keyCode == 13) {
+                event.stopPropagation();
                 $('.fileinfo table#contents tr.selected td.tbl_file').find(
                   'fm_file_rename'
                 ).trigger('blur');
diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index 0bc08abc8..589fa843d 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -316,8 +316,8 @@ define('misc.statistics', [
                   Alertify.pgNotifier(
                     error, xhr,
                     gettext('Error retrieving the information - %s', message || _label),
-                    function(msg) {
-                      if(msg === 'CRYPTKEY_SET') {
+                    function(alertMsg) {
+                      if(alertMsg === 'CRYPTKEY_SET') {
                         ajaxHook();
                       } else {
                         console.warn(arguments);
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 57dbc28f8..59ef7ae98 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -155,10 +155,10 @@ define([
       if (deps && _.isArray(deps)) {
         _.each(deps, function(d) {
 
-          var attrArr = d.split('.');
-          var name = attrArr.shift();
+          var attrArray = d.split('.');
+          var depname = attrArray.shift();
 
-          self.stopListening(self.model, 'change:' + name, self.render);
+          self.stopListening(self.model, 'change:' + depname, self.render);
         });
       }
 
@@ -758,8 +758,8 @@ define([
         tmpls = this.template,
         self = this,
         idx = (this.tabIndex * 100),
-        evalF = function(f, d, m) {
-          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        evalF = function(f, d, model) {
+          return (_.isFunction(f) ? !!f.apply(d, [model]) : !!f);
         };
 
       this.$el
@@ -804,13 +804,13 @@ define([
           function() {
             self.hidden_tab = $(this).data('tabIndex');
           }).on('shown.bs.tab', function() {
-          var self = this;
-          self.shown_tab = $(self).data('tabIndex');
+          var ctx = this;
+          ctx.shown_tab = $(ctx).data('tabIndex');
           m.trigger('pg-property-tab-changed', {
             'model': m,
-            'shown': self.shown_tab,
-            'hidden': self.hidden_tab,
-            'tab': self,
+            'shown': ctx.shown_tab,
+            'hidden': ctx.hidden_tab,
+            'tab': ctx,
           });
         });
       });
@@ -894,8 +894,8 @@ define([
           'collapse': _.result(this, 'collapse'),
         },
         idx = (this.tabIndex * 100),
-        evalF = function(f, d, m) {
-          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        evalF = function(f, d, model) {
+          return (_.isFunction(f) ? !!f.apply(d, [model]) : !!f);
         };
 
       this.$el.empty();
@@ -970,8 +970,8 @@ define([
           'collapse': _.result(this, 'collapse'),
         },
         idx = (this.tabIndex * 100),
-        evalF = function(f, d, m) {
-          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        evalF = function(f, d, model) {
+          return (_.isFunction(f) ? !!f.apply(d, [model]) : !!f);
         };
 
       this.$el.empty();
@@ -1652,13 +1652,13 @@ define([
       }
 
       var cellEditing = function(args) {
-        var self = this,
+        var ctx = this,
           cell = args[0];
         // Search for any other rows which are open.
         this.each(function(m) {
           // Check if row which we are about to close is not current row.
           if (cell.model != m) {
-            var idx = self.indexOf(m);
+            var idx = ctx.indexOf(m);
             if (idx > -1) {
               var row = grid.body.rows[idx],
                 editCell = row.$el.find('.subnode-edit-in-process').parent();
@@ -3360,8 +3360,8 @@ define([
 
       var $container = $(self.$el.find('.pgadmin-controls'));
 
-      _.each(innerFields, function(field) {
-        initial_value[field['name']] = value[field['name']];
+      _.each(innerFields, function(inField) {
+        initial_value[inField['name']] = value[inField['name']];
       });
 
       self.innerModel.set(initial_value);
